| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::SkipperGrammar< Iterator > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::SkipperGrammar< Iterator >:
[legend]
Collaboration diagram for Gaudi::Parsers::SkipperGrammar< Iterator >:
[legend]

## Public Member Functions
| SkipperGrammar ()
| SkipperGrammar ()

## Public Attributes
qi::rule< Iterator > | comments

## Detailed Description

### template<typename Iterator>
struct Gaudi::Parsers::SkipperGrammar< Iterator >

Definition at line 48 of file Grammar.h.

## Constructor & Destructor Documentation

template<typename Iterator >

Gaudi::Parsers::SkipperGrammar< Iterator >::SkipperGrammar | ( |  | ) |
| inline

Definition at line 49 of file Grammar.h.

49 : SkipperGrammar::base_type( comments )
50 {
51 comments = enc::space | rep::confix( "/*", "*/" )[*( qi::char_ - "*/" )] |
52 rep::confix( "//", ( sp::eol | sp::eoi ) )[*( qi::char_ - ( sp::eol | sp::eoi ) )];
53 }
Gaudi::Parsers::SkipperGrammar::comments
qi::rule< Iterator > comments
Definition: Grammar.h:54
template<typename Iterator >

Gaudi::Parsers::SkipperGrammar< Iterator >::SkipperGrammar | ( |  | ) |
| inline

Definition at line 79 of file GrammarsV2.h.

79 : SkipperGrammar::base_type( comments )
80 {
81 comments = enc::space | rep::confix( "/*", "*/" )[*( qi::char_ - "*/" )] |
82 rep::confix( "//", ( sp::eol | sp::eoi ) )[*( qi::char_ - ( sp::eol | sp::eoi ) )];
83 }
Gaudi::Parsers::SkipperGrammar::comments
qi::rule< Iterator > comments
Definition: Grammar.h:54

## Member Data Documentation

template<typename Iterator >

qi::rule< Iterator > Gaudi::Parsers::SkipperGrammar< Iterator >::comments

Definition at line 54 of file Grammar.h.

The documentation for this struct was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h
- GaudiKernel/GaudiKernel/GrammarsV2.h